Package com.verisign.epp.codec.org

## Class EPPOrgCheckCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCheckCmd
    - - com.verisign.epp.codec.org.EPPOrgCheckCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPOrgCheckCmd
      extends EPPCheckCmd

  Represents a org <check> command that enables checking on the availability of a set of client-specified but server-unique org identifiers.
  See Also:
    `EPPOrgCheckResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPOrgCheckCmd`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPOrgCheckCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgCheckCmd()` | `EPPOrgCheckCmd` default constructor.
    `EPPOrgCheckCmd​(java.lang.String aTransId)` | `EPPOrgCheckCmd` constructor that only takes the client transaction identifier
    `EPPOrgCheckCmd​(java.lang.String aTransId, java.lang.String aOrgId)` | `EPPOrgCheckCmd` constructor for setting an individual org identifier to check.
    `EPPOrgCheckCmd​(java.lang.String aTransId, java.util.List<java.lang.String> aOrgIds)` | `EPPOrgCheckCmd` constructor for setting the list of org identifiers to check.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addOrgId​(java.lang.String aOrgId)` | Append a org identifier to the list of org identifiers to check.
    `java.lang.Object` | `clone()` | Clone `EPPOrgCheckCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPOrgCheckCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPOrgCheckCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPOrgCheckCmd` with this instance.
    `java.lang.String` | `getKey()` | Gets the key for the organization object, which is the organization identifier.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPOrgCheckCmd` .
    `java.util.List<java.lang.String>` | `getOrgIds()` | Get the list of org identifiers to check.
    `boolean` | `hasOrgIds()` | Are any org identifiers defined in the list of org identifiers?
    `void` | `setOrgId​(java.lang.String aOrgId)` | Set an individual org identifier to check.
    `void` | `setOrgIds​(java.util.List<java.lang.String> aOrgIds)` | Set the list of org identifiers to check.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCheckCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgCheckCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgCheckCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgCheckCmd

          public EPPOrgCheckCmd()

      `EPPOrgCheckCmd` default constructor.

    - #### EPPOrgCheckCmd

          public EPPOrgCheckCmd​(java.lang.String aTransId)

      `EPPOrgCheckCmd` constructor that only takes the client transaction identifier
      Parameters:
        `aTransId` - Transaction Id associated with command.

    - #### EPPOrgCheckCmd

          public EPPOrgCheckCmd​(java.lang.String aTransId,
                                java.lang.String aOrgId)

      `EPPOrgCheckCmd` constructor for setting an individual org identifier to check.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aOrgId` - Org identifier to check

    - #### EPPOrgCheckCmd

          public EPPOrgCheckCmd​(java.lang.String aTransId,
                                java.util.List<java.lang.String> aOrgIds)

      `EPPOrgCheckCmd` constructor for setting the list of org identifiers to check.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aOrgIds` - List of Org identifiers to check

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPOrgCheckCmd` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the organization object, which is the organization identifier.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The organization identifier if set with a single value; `null` otherwise.

    - #### hasOrgIds

          public boolean hasOrgIds()

      Are any org identifiers defined in the list of org identifiers?
      Returns:
        `true` if there is at least one org identifier defined; `false` otherwise.

    - #### getOrgIds

          public java.util.List<java.lang.String> getOrgIds()

      Get the list of org identifiers to check.
      Returns:
        `List` of org identifier `String`'s

    - #### setOrgIds

          public void setOrgIds​(java.util.List<java.lang.String> aOrgIds)

      Set the list of org identifiers to check.
      Parameters:
        `aOrgIds` - `List` of org identifier `String`'s

    - #### setOrgId

          public void setOrgId​(java.lang.String aOrgId)

      Set an individual org identifier to check. This method clears the existing list of org identifiers.
      Parameters:
        `aOrgId` - Org identifier to check

    - #### addOrgId

          public void addOrgId​(java.lang.String aOrgId)

      Append a org identifier to the list of org identifiers to check. This method does NOT clear the existing list of org identifiers.
      Parameters:
        `aOrgId` - Org identifier to check

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgCheckCmd` instance.
      Specified by:
        `doEncode` in class `EPPCheckCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPOrgCheckCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPOrgCheckCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgCheckCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCheckCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgCheckCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPOrgCheckCmd` with this instance.
      Overrides:
        `equals` in class `EPPCheckCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgCheckCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPOrgCheckCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.